%define debug_package %{nil}

Name:			xmount
Summary:		Tool to crossmount between multiple input and output harddisk images
Version:		0.6.0
Release:		1%{?dist}
License:		GPL
Group:			Applications/System
URL:			https://www.pinguin.lu/
Source0:		%{name}-%{version}.tar.gz
Patch1:			eju2014-xmount.patch
Buildroot:		%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		fuse openssl zlib libewf afflib
BuildRequires:		fuse-devel libewf-devel >= 20110903 afflib-devel

%description
xmount allows you to convert on-the-fly between multiple input and output
harddisk image types. xmount creates a virtual file system using FUSE
(Filesystem in Userspace) that contains a virtual representation of the input
harddisk image. The virtual representation can be in raw DD, VirtualBox's
virtual disk file format, Microsoft's Virtual Hard Disk Image format or in
VMware's VMDK format. Input harddisk images can be raw DD or EWF (Expert
Witness Compression Format) files. In addition, xmount also supports virtual
write access to the output files that is redirected to a cache file. This
makes it for example possible to boot acquired harddisk images using QEMU,
KVM, VirtualBox, VMware or alike. 
%prep
%setup -q
%patch1 -p1
%if 0%{?rhel} != 5
autoreconf
%endif

%build
%configure
make

%install
rm -fr %{buildroot}

%makeinstall

%clean
rm -fr %{buildroot}

%post

%preun

%postun

%files
%defattr(-,root,root) 
%{_bindir}/*
%{_mandir}/*
%doc AUTHORS COPYING INSTALL NEWS README ROADMAP

%changelog
* Thu Jan 30 2014 <euitto@gmail.com> - 0.6.0-2
* Release 0.6.0-2
	Patch for newer libewf support.

* Sun May 6 2012 Lawrence R. Rogers <lrr@cert.org> 0.5.0-1
* Release 0.5.0-1
  Added support for virtual VHD image file emulation

* Tue Jan 7 2012 Lawrence R. Rogers <lrr@cert.org> 0.4.7-1
* Release 0.4.7-1
	This version circumvents a small libewf2 bug

* Thu Oct 17 2011 Lawrence R. Rogers <lrr@cert.org> 0.4.6-1
* Release 0.4.6-1
	Rebuild to use version 2 interface to libewf (official patch)

* Wed Oct 12 2011 Lawrence R. Rogers <lrr@cert.org> 0.4.5-2
* Release 0.4.5-2
	Rebuilt to use version 2 interface to libewf

* Wed Aug 19 2009 Gillen Daniel <gillen.dan@pinguin.lu>
— build package
